Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lonaxe.pro	(revision 142)
@@ -3,32 +3,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME:LONAXE
 ;
-; PURPOSE:fonction appelee par [XYZ]TICKFORMAT (cf l'help pour voir
-;         comment l'utiliser) pour labeller les axes en longitude.
+; @file_comments
+; function called by [XYZ]TICKFORMAT (see the help to see how to use it) to label axes in longitude.
 ;
-; CATEGORY:graphe
+; @categories
+; graphic
+; 
+; @param AXIS 
+; It is the axis number: 0 for X axis, 1 for Y axis, 2 for Z axis.
 ;
-; CALLING SEQUENCE:[XYZ]TICKFORMAT='lonaxe'
+; @param INDEX
+; It is the tick mark index which starts at 0.
+;	
+; @param VALUE
+; It is the default tick mark value (a floating-point number).
 ;
-; INPUTS:fournis (et imposes) automatiquement par IDL: axis, index, value:
-;	Axis is the axis number: 0 for X axis, 1 for Y axis, 2 for Z axis.
-;	Index is the tick mark index which starts at 0.
-;	Value is the default tick mark value (a floating-point number).
-; KEYWORD PARAMETERS:
+; @returns
+; A string, used automatically to label
 ;
-; OUTPUTS:un string, utilise automatiquement pour labeller
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       ???
+;                       14/10/1999 format of labels
 ;
-; COMMON BLOCKS:
+; @version
+; $Id$
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       ???
-;                       14/10/1999 format des labels
 ;-
 ;------------------------------------------------------------
@@ -37,5 +36,5 @@
 FUNCTION lonaxe, axis, index, value
 ;------------------------------------------------------------
-; on ramenne value ds le segment [0,360[
+; We put back value in the segment [0,360[
 ;
   compile_opt idl2, strictarrsubs
@@ -43,5 +42,5 @@
    lon=value mod 360
    if lon lt 0 then lon=lon+360
-; format des labels:
+; format of labels:
    case 1 of
       lon EQ round(lon):fmt = 'i4'
@@ -49,5 +48,5 @@
       ELSE:fmt = 'f7.2'
    endcase
-; on ecrit le label
+; we write the label
    if lon lt 180 then nom=string(lon,     format='('+fmt+',''E'')')
    if lon gt 180 then nom=string(360-lon, format='('+fmt+',''W'')')
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/ajoutvect.pro	(revision 142)
@@ -3,50 +3,49 @@
 ;------------------------------------------------------------
 ;+
-; NAME:ajoutvect
-;
-; PURPOSE:surimprimme des vecteur sur un champ tarce par plt
-;
-; CATEGORY:grafique
-;
-; CALLING SEQUENCE:ajoutvect,vecteur 
-;
-; INPUTS:
-;	vecteur: une structure a 2 elements contenant les 2 matrices U
-;	et V des valeurs de la composante zonale et meridienne du
-;	champ de vecteurs a tracer.
-;       par ex:
+;
+; @file_comments
+; Overprint vectors in a field traced by plt.
+;
+; @categories
+; graphic
+;
+; @param VECTEUR {in}{required}
+; It is a structure with 2 elements containing we 2 matrixes U and V of 
+; values of the zonal and meridian component of the fiel of vectors to 
+; be traced.
+;      For ex:
 ;       vecteur={matriceu:lec('unsurface'),matricev:lec('vnsurface')}
-;       rq:le nom des elements de vecteur n''a aucune importance.
-;       vecteur={u:lec('unsurface'),v:lec('vnsurface')} convient aussi
-;
-; KEYWORD PARAMETERS:
-;
-;	/UNVECTSUR:un scalaire n on un tableau a 2 elements [n1,n2].
-;         dans le premier cas, on tracera un vecteur sur n suivant les
-;         x et les y.
-;         dans le second cas on tracera un vecteur sur n1 suivant x
-;         et un vecteur sur n2 suivant y
-;       Rq; pour tracer tous les vecteurs suivant y et 1 sur 2 suivant
-;       x mettre unvectsur=[2,1]
-;
-;	VECTMIN=norme minimun des vecteurs a tracer 
-;
-;	VECTMAX=norme minimun des vecteurs a tracer 
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro		
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;       rq:the name of elements of  vector does not have any importance.
+;       vecteur={u:lec('unsurface'),v:lec('vnsurface')} goes well too.
+;
+; @keyword UNVECTSUR
+; It is a scalar n or an array with 2 elements [n1,n2].
+; In the first case, we will trace a vector on n following x and y.
+; In the second case, we will trace a vector on n1 following x and a 
+; vector n2 following n2
+;   Comments: To trace all vectors following y and one vector on two 
+; following x, put unvectsur=[2,1]
+;
+; @keyword VECTMIN {in}{required}
+; Minimum norme of vectors to be traced 
+;
+; @keyword VECTMAX {in}{required}
+; Maximum norme of vectors to be traced 
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+; 
+; @uses
+; common.pro		
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			10/3/1999
 ;                       11/6/1999 compatibilite avec NAN et la lecture
 ;                       des structures.
+;
+; @version
+; $Id$ 
+; 
 ;-
 ;------------------------------------------------------------
@@ -58,5 +57,5 @@
 ;
 @common
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; For key_performance
 ;----------------------------------------------------------------------------
 ;
@@ -66,7 +65,7 @@
    v = checkfield(v, 'plt', TYPE = 'xy', /NOQUESTION)
 ;-----------------------------------------------------------
-;------------------------------------------------------------
-; on recupere les eventuelles info sur les champs
-;------------------------------------------------------------
+;-----------------------------------------------------------
+; We recuperate possible informations on fields
+;-----------------------------------------------------------
    grilleu = litchamp(vecteur.(0), /grid)
    if grilleu EQ '' then grilleu = 'U'
@@ -82,5 +81,5 @@
    endif
 ;------------------------------------------------------------
-; on trouve les points que u et v ont en communs
+; We find common points between u and v
 ;------------------------------------------------------------
    if interpolle then begin
@@ -96,5 +95,5 @@
       indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
 ;------------------------------------------------------------
-; extraction de u et v sur le domaine qui convient
+; extraction of u and v on the appropriated domain
 ;------------------------------------------------------------
       case 1 of
@@ -122,5 +121,5 @@
       endcase
 ;------------------------------------------------------------------
-; on reform u et v pour s'assurer qu'aucune dimension n'a ete ecrasee
+; We reshape u and v to make sure that none dimension has been erased.
 ;------------------------------------------------------------------
       if ny EQ 1 then begin
@@ -129,5 +128,5 @@
       endif
 ;------------------------------------------------------------------
-; construction de u et v aux pts T
+; construction of u and v at points T
 ;-----------------------------------------------------------
       a=u[0,*]
@@ -138,8 +137,8 @@
       if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0]=a
 ;----------------------------------------------------------------------------
-; attribution du mask et des tableau de longitude et latitude
-; on recupere la grille complette pour etablir un grand mask etendu ds les 4
-; directions pour couvrir les points pour lesquels un pt terre a ete pris en
-; compte (faire un petit dessin...)
+; attribution of the mask and of longitude and latitude arrays.
+; We recuperate the complete grid to establish a big mask extensive 
+; in the four directions to cover points for which a land point has 
+; been considerated (do a small drawing)
 ;----------------------------------------------------------------------------
       vargrid='T'
@@ -155,8 +154,8 @@
       endif
 ;-----------------------------------------------------------
-; on masque u et v le long des cotes (la on l''on ne peut pas calculer
-; la moyenne)
-;-----------------------------------------------------------
-; extention du mask
+; We mask u and v et v the long of coasts (the place where we 
+; can not calculate the average)
+;----------------------------------------------------------- 
+; extention of the mask
       u = u*msku*shift(msku,1,0)
       v = v*mskv*shift(mskv,0,1)
@@ -189,6 +188,5 @@
    ENDIF
 ;-----------------------------------------------------------
-; remise d''une grande valeur sur tous les points pour lesquelles on ne
-; put faire le calcul
+; Put back of a big value on all points for which we can do the calculation.
 ;-----------------------------------------------------------
    if interpolle then t2 = msku*shift(msku,1,0)*mskv*shift(mskv,0,1) $
@@ -202,9 +200,9 @@
    ENDIF
 ;-----------------------------------------------------------
-; tracer qu'un vecteur sur
+; trace only one vector one two
 ;-----------------------------------------------------------
    if keyword_set(unvectsur) then BEGIN ;
-; indx est un vecteur contenant les numero des colonnes a selectionner 
-; indy est un vecteur contenant les numero des lignes a selectionner 
+; indx is a vector containing number of columns to be selected.
+; indy is a vector containing number of lines to be selected.
       if n_elements(unvectsur) EQ 1 then begin
          indx = where((lindgen(nx) MOD unvectsur[0]) eq 0)
@@ -213,10 +211,9 @@
          indx = where((lindgen(nx) MOD unvectsur[0]) eq 0)
          indy = where((lindgen(ny) MOD unvectsur[1]) eq 0)
-      ENDELSE
-; a partir de indx et indy on va construire un tableau d''indices 2d
-; qui donnera les indices des points intersections des colonnes
-; specifiee par indx 
+     ENDELSE
+; From indx and indy, we will construct an array which will give indexes
+; of intersections points of columns specified by indx.
       indicereduit = indx#replicate(1,n_elements(indy))+nx*replicate(1,n_elements(indx))#indy
-; on reduit les tableaux qui vont etre passes a vecteur.
+; We reduce arrays which will be passed to vecteur.
       u = u[indicereduit]
       v = v[indicereduit]
@@ -233,9 +230,9 @@
    endif
 ;-----------------------------------------------------------
-; trace des vecteurs
+; Drawing of vectors.
 ;----------------------------------------------------------
    vecteur, u, v, tabnorme, indice2d, indicereduit, missing=1e5, _extra = ex
 ;-----------------------------------------------------------
-; on complete la legende
+; We complete the caption.
 ;-----------------------------------------------------------
    if terre[0] ne -1 then mini = min(tabnorme[where(t2 eq 1)], max = maxi, /nan) $
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/vecteur.pro	(revision 142)
@@ -1,83 +1,8 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-;+
-; NAME:vecteur
-;
-; PURPOSE: trace des vecteurs (meme situees sur une grille tordue) sur
-; n''importe quelle projection, de telle sorte que tous les vecteurs
-; aient une norme comparable sur le dessin (en clair, un vecteur qui
-; doit faire 1cm le fait quelque soit la projection et sa position sur
-; la sphere) 
-;
-; CATEGORY:trace de vecteur
-;
-; CALLING SEQUENCE:vecteur, composanteu, composantev, normevecteur, indice2d, reduitindice2d
-; 
-; INPUTS: COMPOSANTEU et COMPOSANTEV: ce sont les composantes des
-; vecteurs a tracer. Ces tableaux 2d ont la meme dimension que
-; reduitindice2d (cf apres).
-;       INDICE2D: indice permettant de passer d''un tableau jpi,jpj au
-;       zoom surlequel on fait le dessin.
-;       REDUITINDICE2D: indice permettant de passer d''un tableau
-;       definit par indice2d au tableau pourlequel on a reelement des
-;       vecteurs a tracer (en clair: c''est par ex qd on ne trace par exemple
-;       que un vecteur sur 2)
-;
-; KEYWORD PARAMETERS:
-;
-;      CMREF: la longeur en cm sur le papier que diot faire la fleche
-;      de norme normeref. par defaut ajuste au dessin et compris entre
-;      .5 et 1.5 cm
-;
-;      MISSING: la valeur d''une missing value. ne pas utilisder ce
-;      mot cle. fixe a 1e5 par ajoutvect.pro
-;      
-;      NORMEREF: la norme de la fleche de reference. par defaut on
-;      essaie de faire qqch qui colle pas trop mal!
-;
-;      VECTCOLOR: la couleur de la fleche. Par defaut noir (couleur 0)
-;
-;      VECTTHICK; l''epaissuer de la fleche. par defaut 1.
-;
-;      VECTREFPOS: vecteur de 2 elements specifiant la position en
-;      coordonnees DATA du debut du vecteur de reference. Par defaut
-;      en bas a droite du dessin.
-;
-;      VECTREFFORMAT: format a utiliser pour specifier la norme du
-;      vecteur de reference.
-;
-;      /NOVECTREF: pour supprimer l'affichage du vecteur de reference.
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:
-;  Creation : 13/02/98 G. Roullet (grlod@lodyc.jussieu.fr)
-;  Modification : 14/01/99 realise la transformation
-;  spherique<->cartesien G. Roullet
-;                 12/03/99 verification de la routine G. Roullet
-;  8/11/1999:
-;  G. Roullet et Sebastien Masson (smasson@lodyc.jussieu.fr)
-;  adaptation pour les zoom. reverification...traitement separe de la
-;  direction et de la norme des vecteurs. mots cles NORMEREF et CMREF.
-;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-
 FUNCTION cv_cm2normal, angle
 ;
-; donne la longeur en coordonnes normales d''un trait ortiente de
-; angle par rapport a l''axe des x et qui doit faire 1 cm sur le
-; dessin.
-; angle peut etre un tableau.
+; Give the lenth in normal coordinates of a trait oriented of an angle
+; by rapport at the x axis and which must do 1 cm on the drawing.
+; Angle can be an array.
+; 
 ;
 ;
@@ -85,6 +10,6 @@
 ;
 @common
-; quelle est la longeur en coordonnees normales d''un trait qui fera 1
-; cm sur le parier et qui est parallele a x?
+; What is the lenth in normal coordinates of a trait which will do 1 cm
+; on the paper an which is parallel to x?
   mipgsz = min(page_size, max = mapgsz)
    sizexfeuille = mipgsz*key_portrait+mapgsz*(1-key_portrait)
@@ -92,7 +17,7 @@
    cm_en_normal = 1./sizexfeuille
 ;
-;  si le rapport d''aspect de la fenetre n''est pas egale a 1, la
-;  longeur en coordonees normalise d''un trait de 1cm varie suivant
-;  l''angle polaire de ce trait.
+; If the aspect rapport of the window is not equal to 1, the lenth in
+; normalized coordinates of  a trait of 1 cm vary following the polar
+; angle of this trait.
 ;
    aspect = sizexfeuille/sizeyfeuille
@@ -104,5 +29,5 @@
 PRO normalise, u, v, w
 ;
-; normalise le vecteur
+; normalize the vector
 ;
 ;
@@ -122,4 +47,86 @@
    ENDELSE 
 END
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
+;+
+;
+; @file_comments
+; Trace vectors (even if they are on a deformed grid) on any projection.
+; In this way, all vectors have a comparable norme on the drawing (to be
+; clear, a vector which measure 1 cm measure it, no matter the projection
+; and is position on the sphere).
+;
+; @categories 
+; graphic
+; 
+; @param COMPOSANTEU {in}{required}
+; It is the u component of the vector to be traced. This 2d array has the 
+; same dimension that reduitindice2d (see further)
+; 
+; @param COMPOSANTEV {in}{required}
+; It is the v component of the vector to be traced. This 2d array has the 
+; same dimension that reduitindice2d (see further)
+; 
+; @param INDICE2D  {in}{required}
+; It in an index allowing to to pass from an jpi or jpj array to the zoom 
+; on which we do the drawing
+; 
+; @param REDUITINDICE2D {in}{required}
+; It is an index allowing to pass from an array defined by indice2d to the 
+; array for which we really have vectors to be traced (to be clear, it is 
+; for example when we trace only one vector on two).
+;
+; @keyword CMREF
+; The lenth in cm that must measure the arrow normed normeref. By default, 
+; it is ajusted t othe drawing and included between .5 and 1.5 cm.
+;
+; @keyword MISSING
+; The value of a missing value. Do not use this keyword. Fixed at 1e5 by 
+; ajoutvect.pro
+;      
+; @keyword NORMEREF 
+; The norme of the reference arrow.
+;
+; @keyword VECTCOLOR
+; The color of the arrow. Black by default (color 0)
+; 
+; @keyword VECTTHICK
+; The thick of the arrow. 1 by default 
+;
+; @keyword VECTREFPOS
+; Vector composed of 2 elements specifing the position on DATA coordinates 
+; from de begining of the reference vector. By default at the right bottom 
+; of the drawing.
+;
+; @keyword VECTREFFORMAT
+; The format to be used to specify the norme of the reference vector.
+;
+; @keyword NOVECTREF
+; To delete the display of the reference vector.
+; 
+; @keyword _EXTRA
+; Used to pass your keywords 
+;
+; @uses 
+; common.pro
+;
+; @history
+;  Creation : 13/02/98 G. Roullet (grlod@lodyc.jussieu.fr)
+;  Modification : 14/01/99 realise la transformation
+;  spherique<->cartesien G. Roullet
+;                 12/03/99 verification de la routine G. Roullet
+;  8/11/1999:
+;  G. Roullet et Sebastien Masson (smasson@lodyc.jussieu.fr)
+;  adaptation pour les zoom. reverification...traitement separe de la
+;  direction et de la norme des vecteurs. mots cles NORMEREF et CMREF.
+;
+; @version
+; $Id$ 
+;
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+;------------------------------------------------------------
 PRO vecteur, composanteu, composantev, normevecteur, indice2d, reduitindice2d $
              , CMREF = cmref, MISSING = missing, NORMEREF = normeref $
@@ -130,5 +137,5 @@
 ;
 @common
-   tempsun = systime(1)         ; pour key_performance
+   tempsun = systime(1)         ; For key_performance
 ;
 ;
@@ -153,57 +160,54 @@
    ENDIF
 ;
-; Etape 1: 
-;
-; etant donne la direction et le sens que le vecteur a sur la
-; sphere, il faut se debrouiller pour determiner cette direction et le
-; sens qu'aura le vecteur sur l''ecran ou la feuille une fois qu''il
-; aura ete projete.
-;
-; En theorie: sur la sphere, un vecteur en un point donne a pour
-; direction la tangente au cercle qui passe par le centre de la terre
-; et par le vecteur. Donc trouver la direction une fois la projection
-; faite ds le plan 2d, c''est trouver la tangente a la courbe
-; representant la projection du cercle sur le plan 2d au point
-; representant la projection du point de depart de la shere sur le
-; plan 2d!!!
-;
-; En pratique on ne connait pas la definition de la courbe que donne
-; la projection d''un cercle alors trouver sa tangente en un point...
-;
-; Ce que l''on fait:
-; Ds un repere cartesien 3d, 
-;       a) on trouve les coordonnees du point T (debut de la fleche)
-;       situe sur la shere.
-;       b) pour chaque point T on determine les directions locales
-;       definies par la grille en ce point et auxquelles se rapportent
-;       les coordonnes (u,v) du vecteur. Ces directions locales sont
-;       definies par les gradiants des glam et gphi. Une fois ces
-;       directions obtenues, on les considere comme orthogonales et en
-;       les normant on construit un repere orthonormal (nu,nv) auquel se
-;       rapporte les coordonnes (u,v) du vecteur. Ds le repere
-;       cartesien 3d de depart, le vecteur est definit par:
-;       V=u*nu+v*nv (ou V, nu et nv sont des vecteurs 3d et u et v des
-;       scalaires)
-;       c) pour approximer la tangente au cercle par la corde definie
-;       par le debut et la fin de la fleche, on va normaliser V puis
-;       le diviser par 100.
-;       d) ceci nous permet de determiner les coordonnees ds le repere
-;       cartesien 3d des extremites de la corde, on les passe en
-;       coordonnes sphereriques de facon a recuperer les positions en
-;       latitude longitude de ces points sur la sphere.
-;       e) on passe les coordonnees de ces points en coordonnees
-;       normalise puis en corrdonnes polaire de facon a trouver
-;       l''angle et la direction qu''ils determinent sur le dessin...
-;
-;
-; etape 1, a)
-;
-;
-; coordonnes du point T (debut de la fleche) en coordonnes sheriques
+; Stage 1: 
+;
+; Given that the directions and the sense that the vector has on the sphere, 
+; we have to try to determinate this direction and the sense that the vector 
+; will have on the screen once it will have been projected.
+;
+; In theory: on the sphere, a vector in a given point has for direction the 
+; tangent at the circle passing by the center of the Earth and by the vector. 
+; So, find the direction once the projection is done, it is find the tangent
+; to the curve representing the projection of the circle on the 2d plan at the 
+; point representing the projection of the starting point of the shere on the 
+; 2d plan.
+; 
+; In practice we do no know the definition of the curve given by the projection 
+; of a circle so find its tangente in a point...
+;
+; What we do:
+; In a 3d cartesian reference,
+;       a) We find coorinates of the point T (starting of the arrow) situed 
+;       on the sphere.
+;       b) To each point T, we determine local directions defined by the grid
+;       on this point and on which coordinates (u,v) of the vector refer to.
+;       These local directions are defined by gradients of glam and gphi. Once
+;       we have obtain these directions, we considare them like orthogonal and
+;       by norming them, we build an orthonormal reference (nu,nv) on which
+;       coordinates (u,v) of the vector refer to. In the starting 3d cartesian
+;       reference, the vector is defined by:
+;       V=u*nu+v*nv
+;       (where V, nu and nv are 3d vectors and u and v are scalars).
+;       c) To approximate the tangente to the circle by the chord defined by
+;       the beginning and the ending of the arrow, we will normalize V, and
+;       then divide it by 100.
+;       d) This allows us to determine coordinates of extremities of the chord
+;       in the 3d cartesian reference. We pass them in spherical coordinates in
+;       order to recuperate latitude and longitude position of these points on
+;       the sphere.
+;       e) We pass coordinates of these points in normalized coordinates, then
+;       in polar coordinates in order to find the angle and the direction they
+;       dertermine on the drawing.
+;
+;
+; Stage 1, a)
+;
+;
+; coordinates of the point T (beginning of the arrow) in spherical coordinates.
    glam = glamt[indice2d[reduitindice2d]]
    gphi = gphit[indice2d[reduitindice2d]]
 ;
-; coordonnes du point T (debut de la fleche) dans le repere cartesien
-; on utilise comme shere, une shere de rayon 1.
+; Coordinates of the point T (beginning of the arrow) in the cartesian reference.
+; For the sphere, we use a sphere with a radius of 1.
 ;
    radius = replicate(1,nx*ny)
@@ -215,15 +219,14 @@
    z0 = reform(r[2, *], nx, ny)
 ;
-; etape 1, b)
-;
-; Construction du vecteur nu (resp. nv), vecteur norme porte par
-; l''axe des points u[i,j] et u[i-1,j] (resp v[i,j] et v[i,j-1])
-; qui definissent pour chaque point sur la shere les directions locales
-; associee a u et v. ces vecteurs definissent un repere orthonorme
-; local. 
-; ces vecteurs sont construits dans un repere cartesien (cv_coord)
-; on a choisit un rayon de la terre unite (unit).
-;
-; definition de nu
+; Stage 1, b)
+;
+; Construction of a vector nu (resp. nv), vectr normed carried by the axis of
+; points u[i,j] and u[i-1,j] (resp v[i,j] and v[i,j-1]) which define, for each
+; point on the sphere, local directions associated with u and v. These vectors
+; define a local orthonormal reference. 
+; These vectors are built in a cartesian reference (cv_coord). We have choose a 
+; unity radius of the Earth (unit).
+;
+; definition of nu
    radius = replicate(1,nxgd*nygd)
    IF finite(glamu[0]*gphiu[0]) NE 0 THEN $
@@ -231,13 +234,13 @@
    ELSE coord_sphe = transpose([ [(glamf[indice2d])[*]], [(gphit[indice2d])[*]], [radius[*]] ])
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
-; coordonnes de points de la grille u en cartesien
+; coordinates of points of the grid u in cartesian.
    ux = reform(r[0, *], nxgd, nygd)
    uy = reform(r[1, *], nxgd, nygd)
    uz = reform(r[2, *], nxgd, nygd)
-; calcul de nu 
+; calculation of nu 
    nux = ux-shift(ux, 1, 0)
    nuy = uy-shift(uy, 1, 0)
    nuz = uz-shift(uz, 1, 0)
-; conditions aux limites
+; conditions at extremities.
    if NOT keyword_set(key_periodic) OR nxgd NE jpi then begin
       nux[0, *] = nux[1, *]
@@ -245,51 +248,51 @@
       nuz[0, *] = nuz[1, *]
    ENDIF
-; reduction de la grille
+; reduction of the grid
    nux = nux[reduitindice2d]
    nuy = nuy[reduitindice2d]
    nuz = nuz[reduitindice2d]
-; definition de nv
+; definition of nv
    IF finite(glamv[0]*gphiv[0]) NE 0 THEN $
    coord_sphe = transpose([ [(glamv[indice2d])[*]], [(gphiv[indice2d])[*]], [radius[*]] ]) $
    ELSE coord_sphe = transpose([ [(glamt[indice2d])[*]], [(gphif[indice2d])[*]], [radius[*]] ])                
    r = cv_coord(from_sphere=coord_sphe,/to_rect,/degrees)
-; coordonnes de points de la grille v en cartesien
+; coordinates of points of the grid in cartesian.
    vx = reform(r[0, *], nxgd, nygd)
    vy = reform(r[1, *], nxgd, nygd)
    vz = reform(r[2, *], nxgd, nygd)
-; calcul de nv 
+; calcul of nv 
    nvx = vx-shift(vx, 0, 1)
    nvy = vy-shift(vy, 0, 1)
    nvz = vz-shift(vz, 0, 1)
-; conditions aux limites
+; conditions at extremities
    nvx[*, 0] = nvx[*, 1]
    nvy[*, 0] = nvy[*, 1]
    nvz[*, 0] = nvz[*, 1]
-; reduction de la grille
+; reduction of the grid
    nvx = nvx[reduitindice2d]
    nvy = nvy[reduitindice2d]
    nvz = nvz[reduitindice2d]
 ;
-; normalisation
+; normalization
 ;
    normalise, nux, nuy, nuz
    normalise, nvx, nvy, nvz
 ;
-; etape 1, c)
-;
-; coordonnes du vecteur V ds le repere cartesion
+; Stage 1, c)
+;
+; coordinates of the vector V in the cartesian reference
 ;
    direcx = zu*nux + zv*nvx
    direcy = zu*nuy + zv*nvy
    direcz = zu*nuz + zv*nvz
-; normalisation du vecteur v
+; normalization of the vector V
    normalise, direcx, direcy, direcz
-; on divise par 100.
+; on divide by 100
    direcx = direcx/100.
    direcy = direcy/100.
    direcz = direcz/100.
 ;
-; etape 1, d)
-; coordonnees de la pointe de la fleche dans le repere cartesien
+; Stege 1, d)
+; coordinates of the point of the arrow in the cartesian reference.
 
    x1 = x0 + direcx
@@ -297,5 +300,5 @@
    z1 = z0 + direcz
 
-; coordonnees de la pointe en spherique
+; coordinates of the point of the arrow in spherical coordinates.
 
    coord_rect = transpose([ [x1[*]], [y1[*]], [z1[*]] ])
@@ -305,9 +308,9 @@
 
 ;
-; modif des glam tout se passe bien au niveau de la ligne de
-; changement de date...attention, il ne faut pas couper les fleches
-; qui sortent de la fenetre!
-; test: si il sort du cadre mais qu''avec un +/- 360 il y rentre on le
-; modifie...
+; modification of glams. Everything take place at the level of the line
+; of changing of date... BEWARE, do not cut arrow which goes out of the
+; window!
+; test: If it goes out of the frame, but, thanks to +/- 360° it come in,
+; we modify it
 ;
    ind = where(glam1 LT !x.range[0] AND glam1+360. LE !x.range[1])
@@ -322,15 +325,15 @@
 ;
 ;
-; etape 1, e)
+; Stage 1, e)
 ;
    r = convert_coord(glam,gphi,/data,/to_normal) 
-   x0 = r[0, *]                 ; coordonnes normales du debut de la fleche
+   x0 = r[0, *]                 ; normal coordinates of the beginning of the array.
    y0 = r[1, *]                 ; 
    
    r = convert_coord(glam1,gphi1,/data,/to_normal) 
-   x1 = r[0, *]                 ; coordonnes normales de la fin de la fleche (avant scaling)
+   x1 = r[0, *]                 ; normal coordinates of the ending of the array (Before scaling).
    y1 = r[1, *]                 ; 
 ;
-; tests pour eviter que des fleches soient dessineees hors du domaine
+; tests to avoid that arrows be drawing out of the domain.
 ;
    out = where(x0 LT !p.position[0] OR x0 GT !p.position[2]  $
@@ -338,6 +341,6 @@
    if out[0] NE -1 THEN x0[out] = !values.f_nan
 ;
-; suivant les projections, il peu y a voir des points a nan qd on
-; passe en coordonnes normales. on supprime ces points.
+; Following projections, there may are points at NaN when we pass in normal coordinates. 
+; We delete these points.
 ;
    nan = finite(x0*y0*x1*y1)
@@ -348,11 +351,10 @@
    norme = norme[number]
 ;
-; on definit le vecteur direction dans le repere normalise
+; We define the vector direction in the normalize reference.
 ;
    dirx = x1-x0
    diry = y1-y0
 ;
-; on passe en polaire pour recuperer l''angle qui etait le but de
-; toute la partie 1!!!
+;We pass in polar coordinates to recuperate the angle which wasb the goal of all the first stage!!!
 ;
 
@@ -360,9 +362,9 @@
    dirpol = msk*dirpol[0, *]
 ;
-; 2eme etape....
-;
-; maintenant on s''occupe de la norme...
-;
-; Mise a l''echelle automatique
+; Stage 2
+;
+; Now we take care of the norme...
+;
+; Automatic putting at the scale 
 ;
    if NOT keyword_set(cmref) then BEGIN 
@@ -380,15 +382,14 @@
    cm = 1.*normeref/cmref
 ;
-; on modifie le tableau norme de facon a ce que un element qui a la
-; valeur cm soit represente par un trait de longueur 1cm sur le
-; papier.
-; norme contient la norme des vecteur que l''on veut dessiner
+; We modify the array norme to an element having the value cm be represented 
+; by a trait of lenght 1 cm on the paper. Norme contain the norme of vectors 
+; we want to draw.
 ;
    norme = 1/(1.*cm)*norme*cv_cm2normal(dirpol)
 ;
 ;
-; 3eme etape....
-; maintenant qu''on a l''angle et la norme, et bien on recupere les
-; coordonnes en rectangulaire et on dessine les fleches.
+; Stage 3
+; Now that we have the angle and the norme, we recuperate coordinates in 
+; rectangular and we draw arrows.
 ;
    r = cv_coord(from_polar = transpose([ [dirpol[*]], [norme[*]] ]), /to_rect)
@@ -399,5 +400,5 @@
    y1 = y0+composantey
 ;
-; c''est parti pour le trace !
+; Drawing
 ;
    if NOT KEYWORD_SET(vectcolor) then vectcolor = 0
@@ -407,8 +408,8 @@
     , hsize = -.2, COLOR = vectcolor, THICK = vectthick
 ;
-;  Dessine une fleche en bas a droite de la figure en guise de legende
+;  Draw an arrow at the right bottom of the drawing as a caption.
 ;
    if NOT keyword_set(novectref) then BEGIN
-      dx = cmref*cv_cm2normal(0) ; longuer du vecteur de reference en coordonnes normalisees.
+      dx = cmref*cv_cm2normal(0) ; Lenght of the vector of reference in normalzed coordinates.
       if keyword_set(vectrefformat) then $
        normelegende = strtrim(string(normeref, format = vectrefformat), 1)+' ' $
